{
  config,
  pkgs,
  ...
}:
{
  home.packages = with pkgs; [
    nixfmt
    google-chrome
    swww
    waypaper
    nemo
    cava
    pavucontrol
    brightnessctl
    hyprshot
    evince
    dconf
    fd
    ripgrep
  ];
  programs.git = {
    enable = true;
    settings = {
      user.name = "lucy";
      user.email = "lucykaufmann@protonmail.com";
    };
  };

  programs.spicetify.enable = true;
  programs.fastfetch = {
    enable = true;
    settings = {
      logo = {
        source = "~/.config/fastfetch/logo.txt";
      };
      display = {
        separator = "  ";
      };
      modules = [
        {
          type = "title";
          key = "User";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "os";
          key = "OS";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "kernel";
          key = "Kernel";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "packages";
          key = "Packages";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "cpu";
          key = "CPU";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "gpu";
          key = "GPU";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "memory";
          key = "Memory";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "disk";
          key = "Disk";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "display";
          key = "Resolution";
        }
        {
          type = "custom";
          text = "";
        }

        {
          type = "shell";
          key = "Shell";
        }
      ];
    };
  };

  programs.foot = {
    enable = true;
    settings = {
      cursor = {
        style = "underline";
      };
      main = {
        pad = "20x20";
        initial-window-size-pixels = "800x600";
      };
    };
  };

  programs.fuzzel = {
    enable = true;
    settings = {
      main = {
        lines = 10;
        horizontal-pad = 30;
        vertical-pad = 15;
      };
      border = {
        width = 2;
        radius = 0;
      };
    };
  };
  programs.vesktop = {
    enable = true;
    settings = {
      staticTitle = true;
      arRPC = true;
    };
    vencord.settings.plugins = {
      MessageLogger.enabled = true;
      MessageClickActions.enabled = true;
    };
  };
  services.dunst = {
    enable = true;
    settings = {
      global = {
        offset = "10x32";
        corner_radius = config.wayland.windowManager.hyprland.settings.decoration.rounding;
        frame_width = config.wayland.windowManager.hyprland.settings.general.border_size;
      };
    };
  };
}
